# std::experimental::observer_ptr<W>::swap

From cppreference.com
< cpp‎ | experimental‎ | observer ptr

constexpr void swap(observer_ptr& other) noexcept; |  | (library fundamentals TS v2)

Swaps the watched object of `*this` and another observer_ptr object `other`, by invoking swap on the stored pointers of `*this` and `other`.

### Parameters

other | - | another observer_ptr object to swap the watched object with

### Return value

(none)

### Example

| This section is incomplete Reason: no example

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/observer_ptr/swap&oldid=98264"